# class Blob

#### package js.html

#### extended by File

Available on HTML5

A `Blob` object represents a file-like object of immutable, raw data. Blobs represent data that isn't necessarily in a JavaScript-native format. The `File` interface is based on `Blob`, inheriting blob functionality and expanding it to support files on the user's system.

Documentation Blob by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Blob

### Constructor

###

`new (blobParts:Array<EitherType<ArrayBuffer, EitherType<ArrayBufferView, EitherType<Blob, String>>>>, ?options:BlobPropertyBag)`

`new ()`

Throws:

`null` | DOMError

### Variables

###

`read onlysize:Int`

The size, in bytes, of the data contained in the `Blob` object.

###

`read onlytype:String`

A string indicating the MIME type of the data contained in the `Blob`. If the type is unknown, this string is empty.

### Methods

###

`slice (?start:Int, ?end:Int, contentType:String = ""):Blob`

Throws:

`null` | DOMError